package com.fxy.bean;

import android.os.Parcel;

/**
 * 项目名称：FingerStorage
 * 类描述： 异常上报bean
 * 创建人：admin
 * 创建时间：2018/4/18 11:53
 * 修改人：COMP-021-2006
 * 修改时间：2018/4/18 11:53
 * 修改备注：
 */
public class ExceptionBean extends UrlModel{
    /**
     * 异常原因id
     */
    public String exceptionReasonId;
    /**
     * 与该次上报异常相关的id
     */
    public String taskId;
    /**
     * 异常原因
     */
    public String exceptionReason;
    /**
     * 异常上报后后台返回的记录id
     */
    public String exceptionId;
    /**
     * 备注
     */
    public String remark;
    /**
     * 上报时间
     */
    public String createTime;
    /**
     * 异常状态
     */
    public int exceptionType;

    @Override
    public String toString() {
        return "ExceptionBean{" +
                "exceptionReasonId='" + exceptionReasonId + '\'' +
                ", taskId='" + taskId + '\'' +
                ", exceptionReason='" + exceptionReason + '\'' +
                ", exceptionId='" + exceptionId + '\'' +
                ", remark='" + remark + '\'' +
                ", createTime='" + createTime + '\'' +
                ", exceptionType=" + exceptionType +
                ", photoUrls='" + photoUrls + '\'' +
                ", videoUrls='" + videoUrls + '\'' +
                ", imgPathList=" + imgPathList +
                ", videoPath='" + videoPath + '\'' +
                '}';
    }

    public ExceptionBean() {
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        super.writeToParcel(dest, flags);
        dest.writeString(this.exceptionReasonId);
        dest.writeString(this.taskId);
        dest.writeString(this.exceptionReason);
        dest.writeString(this.exceptionId);
        dest.writeString(this.remark);
        dest.writeString(this.createTime);
        dest.writeInt(this.exceptionType);
    }

    protected ExceptionBean(Parcel in) {
        super(in);
        this.exceptionReasonId = in.readString();
        this.taskId = in.readString();
        this.exceptionReason = in.readString();
        this.exceptionId = in.readString();
        this.remark = in.readString();
        this.createTime = in.readString();
        this.exceptionType = in.readInt();
    }

    public static final Creator<ExceptionBean> CREATOR = new Creator<ExceptionBean>() {
        @Override
        public ExceptionBean createFromParcel(Parcel source) {
            return new ExceptionBean(source);
        }

        @Override
        public ExceptionBean[] newArray(int size) {
            return new ExceptionBean[size];
        }
    };
}
